Summary:	Efficient KDE ID3 tag editor
Name:		kid3
Version:	3.4.4
Release:	%mkrel 3
License:	GPLv2+
Group:		Sound/Editors and Converters
Url:		http://kid3.sourceforge.net/
Source0:	http://downloads.sourceforge.net/kid3/%{name}-%{version}.tar.gz
BuildRequires:	kf5-macros
BuildRequires:	cmake(KF5Config)
BuildRequires:	cmake(KF5ConfigWidgets)
BuildRequires:	cmake(KF5DBusAddons)
BuildRequires:	cmake(KF5DocTools)
BuildRequires:	cmake(KF5IconThemes)
BuildRequires:	cmake(KF5I18n)
BuildRequires:	cmake(KF5KIO)
BuildRequires:	cmake(KF5XmlGui)
BuildRequires:	qttools5
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(Qt5Multimedia)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Qml)
BuildRequires:	pkgconfig(Qt5Quick)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5UiTools)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Xml)

BuildRequires:	pkgconfig(ogg)
BuildRequires:	pkgconfig(vorbis)
BuildRequires:	id3lib-devel
BuildRequires:	pkgconfig(taglib)
BuildRequires:	pkgconfig(flac++)
BuildRequires:	pkgconfig(libchromaprint)
BuildRequires:	mp4v2-devel
BuildRequires:	ffmpeg-devel
BuildRequires:	readline-devel
BuildRequires:	docbook-style-xsl
BuildRequires:	gettext
BuildRequires:	xsltproc

%description
If you want to easily tag multiple MP3, Ogg/Vorbis, FLAC, MPC, MP4/AAC,
MP2, Speex, TrueAudio, WavPack, WMA, WAV and AIFF files (e.g. full albums)
without typing the same information again and again, and have control over
both ID3v1 and ID3v2 tags, then Kid3 is the program you are looking for.

With Kid3 you can:
- Edit ID3v1.1 tags
- Edit all ID3v2.3 and ID3v2.4 frames
- Convert between ID3v1.1, ID3v2.3 and ID3v2.4 tags
- Edit tags of multiple files
- Generate tags from filenames
- Generate tags from the contents of tag fields
- Generate filenames from tags
- Generate play-list files
- Automatic case conversion and string translation
- Import and export album data
- Import from gnudb.org, TrackType.org, MusicBrainz, Discogs, Amazon.

%files
%doc AUTHORS ChangeLog COPYING LICENSE README
%doc %{_docdir}/HTML/*/%{name}/
%{_kf5_bindir}/%{name}
%{_kf5_datadir}/applications/%{name}.desktop
%{_kf5_datadir}/appdata/%{name}.appdata.xml
%{_kf5_datadir}/kxmlgui5/%{name}/kid3ui.rc
%{_kf5_iconsdir}/hicolor/*/apps/%{name}.png
%{_kf5_iconsdir}/hicolor/scalable/apps/%{name}.svgz

#--------------------------------------------------------------------

%package	core
Summary:	Efficient Core libraries and Data ID3 tag editor
Group:		Sound/Editors and Converters
Recommends:	xdg-utils
# ease upgrade mga5 -> mga6 (can be removed for mga7)
Conflicts:	kid3 < 3.1.1-5

%description	core
If you want to easily tag multiple MP3, Ogg/Vorbis, FLAC, MPC, MP4/AAC,
MP2, Speex, TrueAudio, WavPack, WMA, WAV, and AIFF files (e.g. full albums)
without typing the same information again and again and have control over
both ID3v1 and ID3v2 tags, then Kid3 is the program you are looking for.
This package provides files shared between all Kid3 variants.

%files core
%doc AUTHORS ChangeLog COPYING LICENSE README
%{_kf5_libdir}/lib%{name}*.so*
%{_kf5_libdir}/%{name}/
%dir %{_kf5_datadir}/%{name}/
%dir %{_kf5_datadir}/%{name}/qml/
%dir %{_kf5_datadir}/%{name}/translations/
%{_kf5_datadir}/%{name}/qml/script/
%{_kf5_datadir}/%{name}/translations/*.qm
%{_kf5_datadir}/dbus-1/interfaces/*.xml
%{_kf5_mandir}/man1/%{name}.1*
%lang(de) %{_kf5_mandir}/de/man1/%{name}.1*

#--------------------------------------------------------------------

%package	qt
Summary:	Efficient Qt ID3 tag editor
Group:		Sound/Editors and Converters

%description	qt
If you want to easily tag multiple MP3, Ogg/Vorbis, FLAC, MPC,
MP4/AAC, MP2, Speex, TrueAudio and WavPack files (e.g. full albums)
without typing the same information again and again and have control
over both ID3v1 and ID3v2 tags, then Kid3 is the program you are
looking for. This package provides Kid3 built without KDE dependencies.

%files qt
%doc %{_docdir}/%{name}-qt
%{_kf5_bindir}/%{name}-qt
%{_kf5_datadir}/applications/%{name}-qt.desktop
%{_kf5_datadir}/appdata/%{name}-qt.appdata.xml
%{_kf5_iconsdir}/hicolor/*/apps/%{name}-qt.png
%{_kf5_iconsdir}/hicolor/scalable/apps/%{name}-qt.svg
%{_kf5_mandir}/man1/%{name}-qt.1*
%lang(de) %{_kf5_mandir}/de/man1/%{name}-qt.1*

#--------------------------------------------------------------------

%package	cli
Summary:	Efficient CLI ID3 tag editor
Group:		Sound/Editors and Converters

%description	cli
If you want to easily tag multiple MP3, Ogg/Vorbis, FLAC, MPC,
MP4/AAC, MP2, Speex, TrueAudio and WavPack files (e.g. full albums)
without typing the same information again and again and have control
over both ID3v1 and ID3v2 tags, then Kid3 is the program you are
looking for. This package provides Kid3 built without GUI dependencies.

%files cli
%doc AUTHORS ChangeLog COPYING LICENSE README
%{_kf5_bindir}/%{name}-cli
%{_kf5_mandir}/man1/%{name}-cli.1*
%lang(de) %{_kf5_mandir}/de/man1/%{name}-cli.1*

#--------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kf5 \
	-DWITH_LIBDIR=%{_lib} \
	-DWITH_MP4V2=ON \
	-DWITH_FFMPEG=ON \
	-DWITH_NO_MANCOMPRESS=ON

%make_build

%install
%make_install -C build

# remove unwanted devel files
rm -f %{buildroot}%{_kf5_libdir}/lib%{name}*.so


%changelog
* Tue May 02 2017 akien <akien> 3.4.4-3.mga6
+ Revision: 1098294
- Rebuild for ffmpeg 3.3

* Wed Mar 08 2017 akien <akien> 3.4.4-2.mga6
+ Revision: 1089868
- Rebuild for ffmpeg 3.2.4

* Sat Dec 24 2016 daviddavid <daviddavid> 3.4.4-1.mga6
+ Revision: 1077063
- new version: 3.4.4

* Thu Nov 10 2016 daviddavid <daviddavid> 3.4.3-2.mga6
+ Revision: 1066257
- fix conflicting files to ease upgrade mga5 -> mga6 (mga#19748)

* Fri Nov 04 2016 daviddavid <daviddavid> 3.4.3-1.mga6
+ Revision: 1065291
- new version: 3.4.3

* Wed Sep 07 2016 daviddavid <daviddavid> 3.4.2-1.mga6
+ Revision: 1050374
- new version: 3.4.2

* Thu Jul 28 2016 daviddavid <daviddavid> 3.4.1-1.mga6
+ Revision: 1043838
- new version: 3.4.1

* Mon Mar 28 2016 daviddavid <daviddavid> 3.3.2-4.mga6
+ Revision: 995860
- remove unwanted devel files

* Sun Mar 27 2016 daviddavid <daviddavid> 3.3.2-3.mga6
+ Revision: 995811
- also move main libraries files into /usr/lib/ not /usr/lib/kid3/ to fix startup

* Sun Mar 27 2016 daviddavid <daviddavid> 3.3.2-2.mga6
+ Revision: 995796
- move main kid3 manpage into -core subpackage (as kid3-qt and kid3-cli are symlinks)

* Sun Mar 27 2016 daviddavid <daviddavid> 3.3.2-1.mga6
+ Revision: 995781
- new version: 3.3.2 (based on kf5)
- switch build to Qt5/kf5
- add a cli, core and qt subpackages

  + luigiwalser <luigiwalser>
    - rebuild for chromaprint

* Fri Nov 14 2014 akien <akien> 3.1.1-4.mga5
+ Revision: 797130
- Rebuild for ffmpeg 2.4

* Wed Oct 15 2014 umeabot <umeabot> 3.1.1-3.mga5
+ Revision: 748639
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.1.1-2.mga5
+ Revision: 681071
- Mageia 5 Mass Rebuild

* Wed Aug 27 2014 fwang <fwang> 3.1.1-1.mga5
+ Revision: 668597
- update file list
- update file list
- 3.1.1

* Mon Aug 18 2014 juancho <juancho> 3.1-2.mga5
+ Revision: 664976
- Added cmake option -DWITH_LIBDIR to fix BUG: 13286. \nRemoved cmake option -D__KDE_HAVE_GCC_VISIBILITY:BOOL=OFF as is no longer needed.

* Mon Jul 21 2014 juancho <juancho> 3.1-1.mga5
+ Revision: 655044
- Fixed rpmlint warnings about wrong BR's

  + bersuit <bersuit>
    - Update to new Upstream version 3.1

* Thu Mar 13 2014 dams <dams> 3.0.2-1.mga5
+ Revision: 603306
- new version 3.0.2

* Sat Oct 19 2013 umeabot <umeabot> 2.3-3.mga4
+ Revision: 529951
- Mageia 4 Mass Rebuild

* Mon Jul 15 2013 fwang <fwang> 2.3-2.mga4
+ Revision: 454434
- fix build with rencent ffmpeg
- rebuild for new ffmpeg

* Mon Jun 17 2013 juancho <juancho> 2.3-1.mga4
+ Revision: 444031
- New version 2.3.

* Sat Jan 12 2013 umeabot <umeabot> 2.2.1-3.mga3
+ Revision: 356170
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 fwang <fwang> 2.2.1-2.mga3
+ Revision: 341639
- rebuild for new ffmpeg

* Sat Dec 08 2012 fwang <fwang> 2.2.1-1.mga3
+ Revision: 328011
- new version 2.2.1

* Fri Nov 30 2012 fwang <fwang> 2.2-2.mga3
+ Revision: 323349
- acturally tunepimp is not needed

* Sun Oct 28 2012 fwang <fwang> 2.2-1.mga3
+ Revision: 310974
- update rpm group
- new version 2.2

* Thu Jun 07 2012 juancho <juancho> 2.1-1.mga3
+ Revision: 256732
- Added missing BR ffmpeg-devel
- Updated to 2.1 and added patch to fix ffmpeg build error.

* Wed Nov 02 2011 juancho <juancho> 2.0.1-1.mga2
+ Revision: 161538
- Updated to 2.0.1 and dropped patches fixed in latest version.

* Mon Oct 24 2011 juancho <juancho> 2.0-1.mga2
+ Revision: 157556
- Updated to 2.0.
- Added patches to fix some cmake issues with 2.0.
- Fixed lib id3 BuildRequires.

* Sun Apr 17 2011 stormi <stormi> 1.6-2.mga1
+ Revision: 87418
- fix RPM group

* Wed Apr 13 2011 juancho <juancho> 1.6-1.mga1
+ Revision: 84767
- Updated to 1.6
  Fixed formating
  Fixed group tag
- imported package kid3

